SQ(1)

NAME
sq network wkd generate - Generate a Web Key Directory for the given domain and certs

SYNOPSIS
sq network wkd generate [OPTIONS] WEB-ROOT FQDN CERT-RING

DESCRIPTION
Generate a Web Key Directory for the given domain and certs.

If the WKD exists, the new certificates will be inserted and existing ones will be updated.

A WKD is per domain, and can be queried using the advanced or the direct method. The advanced method uses a URL with a subdomain 'openpgpkey'. As per the specification, the advanced method is to be preferred. The direct method may only be used if the subdomain doesn't exist. The advanced method allows Web Key Directories for several domains on one web server.

The contents of the generated WKD must be copied to a web server so that they are accessible under https://openpgpkey.example.com/.well-known/openpgp/... for the advanced version, and https://example.com/.well-known/openpgp/... for the direct version. sq does not copy files to the web server.

OPTIONS

  Subcommand options

-d, --direct-method
    Use the direct method [default: advanced method]

-s, --skip
    Skip certificates that do not have User IDs for given domain.

WEB-ROOT
    Write the WKD to WEB-ROOT. Transfer this directory to the webserver.

FQDN
    Generate a WKD for a fully qualified domain name for email

CERT-RING
    Add certificates from CERT-RING (or stdin if omitted) to the WKD

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Generate a WKD in /tmp/wkdroot from certs.pgp for example.com.

    sq wkd generate /tmp/wkdroot example.com certs.pgp

SEE ALSO
sq(1), sq-network(1), sq-network-wkd(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.37.0 (sequoia-openpgp 1.20.0)